GET
/v1/admin/webhooks/{id}
Get Webhook Details
curl https://api.{cluster}.{platform}.voiger.io/v1/admin/webhooks/{id} \
-H "Cookie: sid=$VOIGER_SESSION" \
-H "x-workspace-code: your-workspace-code"
const res = await fetch("https://api.{cluster}.{platform}.voiger.io/v1/admin/webhooks/{id}", {
method: "GET",
credentials: "include",
headers: { "x-workspace-code": "your-workspace-code" },
})
const data = await res.json()
Parameters
x-workspace-code
string
required
in header
id
string
required
in path
Webhook ID
id
string
Unique identifier of the webhook.
url
string
Destination endpoint URL.
version
integer
Schema version of the event payloads.
resources
object
Subscribed resources and action event names.
auth_type
string | null
Authentication method used for request signing.
status
string
Current operating status of the webhook.
created_at
string
ISO-8601 timestamp of creation.
updated_at
string
ISO-8601 timestamp of last update.
json · 200
{
"webhook": {
"id": "a84cb954-52d3-4a11-82ef-5e74c8dfbe01",
"url": "https://example.com/webhooks",
"version": 1,
"resources": {
"call": [
"finished"
]
},
"auth_type": "signing_secret",
"status": "enabled",
"created_at": "2026-10-27T10:00:00Z",
"updated_at": "2026-10-27T10:00:00Z"
}
}